#
# spec file for package c-list
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           c-list
Version:        3
Release:        bp156.3.2
Summary:        Circular doubly-linked list implementation in C11
License:        Apache-2.0 or LGPL-2.0+
Group:          Development/Libraries/C and C++
Url:            https://github.com/c-util/c-list

Source:         https://github.com/c-util/c-list/archive/v%version.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  meson
BuildRequires:  pkg-config

%description
A header-only library for ISO C2011 providing a circular
doubly-linked list.

%package devel
Summary:        Development files for c-list, a doubly-linked list
Group:          Development/Libraries/C and C++

%description devel
A header-only library for ISO C2011 providing a circular
doubly-linked list.

%prep
%setup -q

%build
%meson --includedir="%_includedir/%name"
%meson_build

%install
%meson_install

%files devel
%defattr(-,root,root)
%_includedir/%name/
%_libdir/pkgconfig/*.pc
%doc LICENSE-* NEWS

%changelog
* Fri Aug 25 2017 jengelh@inai.de
- Initial package (version 3) for build.opensuse.org
